package com.ctftech.text4shelldocker;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.ctftech.text4shelldocker.components.Listing;

@SpringBootApplication
public class ListingAPI {
    public static Listing[] listings;

    public static void main(String[] args) {
        loadListings();
        SpringApplication.run(ListingAPI.class, args);
    }

    private static void loadListings() {
        listings = new Listing[13];
        listings[0] = new Listing(1, "3600.-", "electronics", "Used 2006 Apple Macbook Pro", "Good condition", "This is a used 2006 Apple Macbook Pro with a 15-inch screen. It has been well taken care of and is in good condition. It has an Intel Core 2 Duo processor, 2GB of RAM, and a 120GB hard drive. The battery still holds a charge and the laptop powers on and works great. The screen is bright and clear, and the keyboard and touchpad are in good condition. There are some minor scratches on the lid, but nothing major. This laptop is ready to be used and enjoyed.");

        listings[1] = new Listing(2, "1500.-", "electronics", "Used 2006 Apple iPod nano 4th Generation - 8GB - Silver", "Pre-owned", "This is a used 2006 Apple iPod nano 4th Generation with 8GB of storage capacity. It is in good pre-owned condition. The device has been tested and works great. The screen is in excellent condition with no scratches or marks. The back is in good condition with minimal wear. The headphone jack and dock connector are in great shape and work properly. The battery still holds a good charge and can last several hours. ");

        listings[2] = new Listing(3, "3450.-", "electronics", "Used 2006 Sony Cybershot DSC-H7 8.1MP Digital Camera", "Like new", "This is a used 2006 Sony Cybershot DSC-H7 8.1MP Digital Camera. The camera has been tested and works great. The LCD screen is in excellent condition with no scratches or marks. The camera body is in good condition with minimal wear. The lens is in great shape and works properly. The battery still holds a good charge and can last several hours. The camera also comes with a charger, strap, and a USB cable.");

        listings[3] = new Listing(4, "220 000.-", "cars", "2003 Mercedes-Benz C-Class", "6000km", "This 2003 Mercedes-Benz C-Class is in excellent condition and has only had one owner. It has a 6-cylinder 2,6L engine and an automatic transmission. The exterior is black and the interior is black leather. The car has power windows, power locks, cruise control, power steering, air conditioning, alloy wheels, and a CD player.");

        listings[4] = new Listing(5, "160 000.-", "cars", "2005 Honda Accord EX-L", "109 000km", "This car is in great condition and has been well-maintained. It has a 3,0 liter V6 engine, 5-speed automatic transmission, power windows, locks, and mirrors, and a premium sound system. The exterior is a stunning black and the interior is a tan leather. The interior is in fantastic shape with no rips or stains. The exterior is also in great condition with no major imperfections. Tires have plenty of tread and the car runs and drives without issue.");

        listings[5] = new Listing(6, "90 000.-", "cars", "2007 Volkswagen Golf", "120 000km", "This VW Golf is the perfect car for a young driver or commuter. Reliable, safe, and efficient, this car is a great value. It has a 2,0L 4-cylinder engine and a 5-speed manual transmission. This car is in great condition and has only had one owner.The exterior is a beautiful silver with a few minor scratches and dings. The paint is in great shape and shines nicely in the sunlight. The interior is black cloth and is in excellent condition. The seats are comfortable, and all the controls are easy to use. The air conditioning works perfectly, and the stereo is great. This car has been well maintained and has all the necessary paperwork. No major repairs have been made, and all maintenance is up to date. The brakes, tires, and oil have all been changed recently. The car has new spark plugs, and the engine runs smoothly. This car is the perfect combination of style and practicality. With the manual transmission, you get great fuel economy, and the hatchback design makes it easy to carry large items. This car is reliable and a great value. If you're looking for a great used car at a great price, this VW Golf is the car for you. Come take it for a test drive today!");

        listings[6] = new Listing(7, "98 000.-", "cars", "2005 Volkswagen Jetta", "95 000km", "This 2005 Volkswagen Jetta is in great condition and has been well maintained. It has a 4-cylinder 2,0L engine and an automatic transmission. The exterior is black and the interior is gray cloth. The car has power windows, power locks, cruise control, power steering, air conditioning, alloy wheels, and a CD player. The car has been serviced regularly.");

        listings[7] = new Listing(8, "7800.-", "apartments", "Apartment for rent in Tallinn", "Newly built", "This is a great opportunity to rent a cozy apartment in the heart of Tallinn. The apartment is located in the Old Town and is just a few steps away from the beautiful beach. It has two bedrooms, a kitchen, a bathroom, and a living room. The rent is 7800 per month, including all utilities.");

        listings[8] = new Listing(9, "7000.-", "apartments", "Budget studio apartment in Tallinn", "Needs work", "This is a great opportunity to rent a budget studio apartment in the heart of Tallinn. The apartment is located in the old port district and is just a few steps away from the harbor. It has one bedroom, a kitchen, a bathroom, and a living room. The rent is 7000 per month, including all utilities.");

        listings[9] = new Listing(10, "8000.-", "apartments", "Spacious two-bedroom apartment for rent in Tallimn", "Freshly renovated", "This is a great opportunity to rent a two-bedroom apartment in the heart of Tallinn. The apartment is located in the city center and is a short walk away from all the main attractions. It has two bedrooms, a kitchen, a bathroom, and a living room. The rent is 8000 per month + utilities.");

        listings[10] = new Listing(11, "7500.-", "apartments", "Cozy one-bedroom apartment for rent in Tallinn", "Freshly renovated", "This is a great opportunity to rent a cozy one-bedroom apartment in the heart of Tallinn. The apartment is located in the city center and is a short walk away from all the main attractions. It has one bedroom, a kitchen, a bathroom, and a living room. The rent is 7500 per month.");

        listings[11] = new Listing(12, "300.-", "misc", "Vintage Swiss Army Knife", "Like new", "This vintage Swiss Army knife is the perfect companion for your next outdoor adventure. It is made from stainless steel, with a classic red handle, and features all the tools you could need for an outdoor excursion. The knife has a blade, can opener, screwdriver, reamer, corkscrew, and a few other tools. This knife is in great condition and ready for use.");

        listings[12] = new Listing(13, "500.-", "misc", "German Beer Stein", "Used", "This traditional German beer stein will bring a touch of old-world charm and class to any home. Crafted from high-quality stoneware, the stein features a colorful design of a castle, complete with a pewter lid. With a capacity of 0,5 liters, it's the perfect size to enjoy a refreshing beer. A great addition to your barware collection, or a unique gift for a beer-lover.");
    }
}
