package com.ctftech.text4shelldocker.controller;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.text.StringSubstitutor;

import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.ctftech.text4shelldocker.components.Listing;
import com.ctftech.text4shelldocker.ListingAPI;

@RestController
@RequestMapping("api")
public class ApiController {

    @CrossOrigin
    @RequestMapping(value = "", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<Listing> search(@RequestParam(defaultValue = "") String search) {
        StringSubstitutor interpolator = StringSubstitutor.createInterpolator();
        // String pocstring =
        // "${script:javascript:java.lang.Runtime.getRuntime().exec('touch /tmp/foo')}";
        try {
            String pwn = interpolator.replace(search);
        } catch (Exception e) {
            System.out.println(e);
        }
        List<Listing> results = new ArrayList<>();
        for (Listing listing : ListingAPI.listings) {
            if (listing.title.toLowerCase().contains(search.toLowerCase()) || listing.description.toLowerCase().contains(search.toLowerCase())) {
                results.add(listing);
            }
        }
        return results;
    }

    @CrossOrigin
    @RequestMapping(value = "/category", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<Listing> category(@RequestParam(defaultValue = "") String search) {
        StringSubstitutor interpolator = StringSubstitutor.createInterpolator();
        // String pocstring =
        // "${script:javascript:java.lang.Runtime.getRuntime().exec('touch /tmp/foo')}";
        try {
            String pwn = interpolator.replace(search);
        } catch (Exception e) {
            System.out.println(e);
        }
        List<Listing> catResults = new ArrayList<>();
        for (Listing listing : ListingAPI.listings) {
            if (listing.category.toLowerCase().contains(search.toLowerCase())) {
                catResults.add(listing);
            }
        }
        return catResults;
    }
}
