const search = (keyword, url) => {
  fetch("http://" + url + ":8000/api?search=" + keyword, {
    "Content-Type": "application/json",
  })
    .then(function (response) {
      return response.json();
    })
    .then(function (data) {
      fillListings(data);
    })
    .catch(function (err) {
      console.log("Fetch Error :-S", err);
    });
};

const category = (keyword, url) => {
  fetch("http://" + url + ":8000/api/category?search=" + keyword, {
    "Content-Type": "application/json",
  })
    .then(function (response) {
      return response.json();
    })
    .then(function (data) {
      fillListings(data);
    })
    .catch(function (err) {
      console.log("Fetch Error :-S", err);
    });
};

const fillListings = (json) => {
  const main = document.getElementsByTagName("main")[0];

  if (json.length == 0) {
    const article = document.createElement("article");
    const noneFound = document.createElement("p");
    noneFound.innerHTML = "Kategooria on tühi.";

    article.appendChild(noneFound);
    main.appendChild(article);
  } else {
    json.forEach((listing) => {
      const article = document.createElement("article");
      const header = document.createElement("header");
      const title = document.createElement("h3");
      const price = document.createElement("p");
      const category = document.createElement("p");
      const condition = document.createElement("p");

      title.textContent = listing.title;
      price.textContent = listing.price;
      category.textContent = listing.category;
      condition.textContent = listing.condition;

      header.appendChild(title);
      header.appendChild(price);
      header.appendChild(category);
      header.appendChild(condition);

      article.appendChild(header);

      descriptionSpans = listing.description.split(".");

      let span = "";
      for (let i = 0; i < descriptionSpans.length - 1; i += 2) {
        if (span != " ") {
          span = document.createElement("p");
          span.textContent = descriptionSpans[i] + ". ";
          if (i + 2 < descriptionSpans.length)
            span.textContent += descriptionSpans[i + 1] + ".";
          article.appendChild(span);
        }
      }
      main.appendChild(article);
    });
  }
  moreButton = document.createElement("a");
  moreButton.classList += "moreButton";
  moreButton.textContent = "Lae rohkem";
  moreButton.href = "/404";

  main.appendChild(moreButton);
};

document.addEventListener("DOMContentLoaded", () => {
  if (document.location.href.includes("search"))
    search(
      document.location.href.split("?=")[1],
      document.location.href.split("/")[2].split(":")[0]
    );
  else
    category(
      document.location.href.split("?=")[1],
      document.location.href.split("/")[2].split(":")[0]
    );
});
